# Note this package is synchronized with Fedora!

%global commit0 6f7c79786fd43f3fd04d07204abe30677d805a29
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20250416

%define rel 0.5.%{date}git%{shortcommit0}

Name:           python-typeshed
# There are no actual releases of typeshed so we are making one up
Version:        0.1
Release:	    %mkrel %{rel}
Summary:        Static type information for python modules
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/python/typeshed

Source0:        %{url}/archive/%{commit0}/%{name}-%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch

Provides: python3dist(typeshed)
Provides: typeshed

%description
Typeshed models function types for the Python standard library
and Python builtins, as well as third party packages.

This data can e.g. be used for static analysis, type checking or type inference.

This package stores the typedata in /usr/share/typeshed

%prep
%autosetup -n typeshed-%{commit0} -p1

%build
# All stub files, nothing to build

%install
mkdir -p %{buildroot}/%{_datadir}/typeshed
for dir in stubs stdlib ; do
    cp -r $dir %{buildroot}/%{_datadir}/typeshed/$dir
done

%files
%doc README.md
%license LICENSE
%{_datadir}/typeshed

